Vivaldi для Linux



  • Не знаю пока куда написать, пишу сюда, если открыть ссылку средней кнопкой мышки, то не получается листать страницу, пока не щелкнешь на этой странице мышкой. Если открыть левой кнопкой, то все нормально, баг или фича? В хроме такое же поведение, в лисе листает и так и так.
    Немного раздражает.
    п.с. дотестил, если переключиться на другую вкладку по ctrl+PgUP(PgDN), то эффект пропадает и все отлично листается.



  • Неужели я один у кого проявляется такой эффект или ни кто ссылки средней кнопкой не открывает?



  • Только что проверил, баг не смог воспроизвести



  • @Panchuk-Andrew всегда открываю средней кнопкой. бага ни разу не было.



  • Не работает просмотр видео на некоторых сайтах.
    Система: Linux Mint 19 x64 xfce
    Flash Player установлен - про enabling знаю (пол дня искал как включить, а теперь включаю - пишет ошибка воспроизведения ВКонтакте)
    HTML5 в ютубе написано полная поддержка, на ютубе ролики идут.
    А вот, к примеру inFilms.ru не запускаются ролики, ВК и seasonvar тоже, пишет либо ошибка воспроизведения, либо файл не найден. Хотя в Мозилле всё идёт, вообще без всяких танцов с бубнами.
    Как быть, куда копать?



  • @Schmarotzer Запустить vivaldi в терминале и посмотреть, что напишут. Просто откройте терминал, наберите vivaldi, он сам скажет, чего ему не хватает. Скорее всего предложит набрать вот такое: curl https://launchpadlibrarian.net/401553574/chromium-codecs-ffmpeg-extra_71.0.3578.98-0ubuntu0.16.04.1_amd64.deb |
    tail -c+1081 | tar xJ -C ~ --wildcards libffmpeg.so --xform 's,./,.local/lib/vivaldi/,'

    Я бы попробовал эту штуку - https://labs.gwendragon.de/blog/Web/Browser/Vivaldi/vivaldi-debian-install-libffmpeg-1-2-7-en



  • Linux Mint 18.3
    Давно хотел пожаловаться на странное поведение разрешения флеша для сайта. После каждого обновления браузера оно запрашивается заново и это еще не проблема. Проблема в том, что при переключениии на другую вкладку или даже просто при сворачивании и разворачивании разрешение запрашивается заново. При этом все работает, даже если повторно не давать это разрешение. Но и это тоже не проблема на самом деле, потому что она решается сама собой, если 1-2 раза перезапустить браузер. Поэтому я до сих пор и не жаловался на это. К тому же я не уверен, что описал все точно, а экспериментировать/воспроизводить лень.
    Но в последнем обновлении всё окончательно «дочинили». Теперь даешь разрешение, страница перезагружается и… снова запрашивает разрешение. Перезапуски браузера не помогают, ничего не работает, пришлось откатиться на предыдущую версию.
    Upd. На всякий случай: из расширений только Scroll To Top, uMatrix и обход блокировок. Конкретный сайт creagames.com.



  • Говорят таки исправили недавно - https://vivaldi.com/blog/snapshots/post-2-4-vivaldi-browser-snapshot-1497-4/
    "[Regression] Vivaldi disables Flash on its own, even if you explicitly allowed it (VB-50831)".
    А вообще я уже несколько лет назад отключил флэш и в систему его не устанавливаю и мне хорошо. Сейчас он уже редко где нужен.
    PS. Открыл страницу по ссылке, анимация анимированная. Сами игры не пробовал, авторизация нужна, а таким мутным чувакам я не доверяю.



  • Битые пакеты

    apt install vivaldi-stable
    Чтение списков пакетов… Готово
    Построение дерева зависимостей       
    Чтение информации о состоянии… Готово
    Следующие пакеты устанавливались автоматически и больше не требуются:
      dkms libhdf4-0-alt libssl0.9.8 linux-image-extra-3.16.0-44-generic
      linux-signed-image-3.16.0-44-generic
    Для их удаления используйте «apt-get autoremove».
    Рекомендуемые пакеты:
      libu2f-udev adobe-flashplugin
    Пакеты, которые будут обновлены:
      vivaldi-stable
    обновлено 1, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 806 пакетов не обновлено.
    Необходимо скачать 0 B/59,1 MB архивов.
    После данной операции, объём занятого дискового пространства возрастёт на 2.273 kB.
    dpkg-deb: ошибка: archive '/var/cache/apt/archives/vivaldi-stable_2.4.1488.38-1_amd64.deb' has premature member 'control.tar.xz' before 'control.tar.gz', giving up
    dpkg: error processing archive /var/cache/apt/archives/vivaldi-stable_2.4.1488.38-1_amd64.deb (--unpack):
     подпроцесс dpkg-deb --control возвратил код ошибки 2
    При обработке следующих пакетов произошли ошибки:
     /var/cache/apt/archives/vivaldi-stable_2.4.1488.38-1_amd64.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    
    

    причем и не стабильная версия и если качать с сайта и делать dpkg -i
    походу мейнтейнеры оплашались...


  • Vivaldi Team

    @sichkar said in Vivaldi для Linux:

    Битые пакеты

    apt install vivaldi-stable
    Чтение списков пакетов… Готово
    Построение дерева зависимостей       
    Чтение информации о состоянии… Готово
    Следующие пакеты устанавливались автоматически и больше не требуются:
      dkms libhdf4-0-alt libssl0.9.8 linux-image-extra-3.16.0-44-generic
      linux-signed-image-3.16.0-44-generic
    Для их удаления используйте «apt-get autoremove».
    Рекомендуемые пакеты:
      libu2f-udev adobe-flashplugin
    Пакеты, которые будут обновлены:
      vivaldi-stable
    обновлено 1, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 806 пакетов не обновлено.
    Необходимо скачать 0 B/59,1 MB архивов.
    После данной операции, объём занятого дискового пространства возрастёт на 2.273 kB.
    dpkg-deb: ошибка: archive '/var/cache/apt/archives/vivaldi-stable_2.4.1488.38-1_amd64.deb' has premature member 'control.tar.xz' before 'control.tar.gz', giving up
    dpkg: error processing archive /var/cache/apt/archives/vivaldi-stable_2.4.1488.38-1_amd64.deb (--unpack):
     подпроцесс dpkg-deb --control возвратил код ошибки 2
    При обработке следующих пакетов произошли ошибки:
     /var/cache/apt/archives/vivaldi-stable_2.4.1488.38-1_amd64.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    
    

    причем и не стабильная версия и если качать с сайта и делать dpkg -i
    походу мейнтейнеры оплашались...

    Не подтверждаю. Всё работает.



  • @Shpankov

    apt install dpkg dpkg-dev
    Чтение списков пакетов… Готово
    Построение дерева зависимостей       
    Чтение информации о состоянии… Готово
    Будут установлены следующие дополнительные пакеты:
      libdpkg-perl
    Предлагаемые пакеты:
      debian-keyring
    Пакеты, которые будут обновлены:
      dpkg dpkg-dev libdpkg-perl
    обновлено 3, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 803 пакетов не обновлено.
    Необходимо скачать 2.863 kБ архивов.
    После данной операции, объём занятого дискового пространства возрастёт на 1.024 B.
    Хотите продолжить? [Д/н] y
    Получено:1 http://ua.archive.ubuntu.com/ubuntu/ trusty-updates/main dpkg amd64 1.17.5ubuntu5.8 [1.958 kB]
    Получено:2 http://ua.archive.ubuntu.com/ubuntu/ trusty-updates/main dpkg-dev all 1.17.5ubuntu5.8 [726 kB]
    Получено:3 http://ua.archive.ubuntu.com/ubuntu/ trusty-updates/main libdpkg-perl all 1.17.5ubuntu5.8 [179 kB]
    Получено 2.863 kБ за 0с (4.536 kБ/c)  
    (Чтение базы данных … на данный момент установлено 355055 файлов и каталогов.)
    Preparing to unpack …/dpkg_1.17.5ubuntu5.8_amd64.deb ...
    Unpacking dpkg (1.17.5ubuntu5.8) over (1.17.5ubuntu5.4) ...
    Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
    Настраивается пакет dpkg (1.17.5ubuntu5.8) …
    (Чтение базы данных … на данный момент установлено 355055 файлов и каталогов.)
    Preparing to unpack …/dpkg-dev_1.17.5ubuntu5.8_all.deb ...
    Unpacking dpkg-dev (1.17.5ubuntu5.8) over (1.17.5ubuntu5.7) ...
    Preparing to unpack …/libdpkg-perl_1.17.5ubuntu5.8_all.deb ...
    Unpacking libdpkg-perl (1.17.5ubuntu5.8) over (1.17.5ubuntu5.7) ...
    Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
    Настраивается пакет libdpkg-perl (1.17.5ubuntu5.8) …
    Настраивается пакет dpkg-dev (1.17.5ubuntu5.8) …
    root@HOME:[mc]/var/cache/apt# 
    root@HOME:[mc]/var/cache/apt# 
    root@HOME:[mc]/var/cache/apt# apt install vivaldi-stable
    Чтение списков пакетов… Готово
    Построение дерева зависимостей       
    Чтение информации о состоянии… Готово
    Рекомендуемые пакеты:
      libu2f-udev adobe-flashplugin
    Пакеты, которые будут обновлены:
      vivaldi-stable
    обновлено 1, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 802 пакетов не обновлено.
    Необходимо скачать 59,1 MБ архивов.
    После данной операции, объём занятого дискового пространства возрастёт на 2.273 kB.
    Получено:1 http://repo.vivaldi.com/stable/deb/ stable/main vivaldi-stable amd64 2.4.1488.38-1 [59,1 MB]
    Получено 59,1 MБ за 32с (1.803 kБ/c)                                           
    (Чтение базы данных … на данный момент установлено 355055 файлов и каталогов.)
    Preparing to unpack …/vivaldi-stable_2.4.1488.38-1_amd64.deb ...
    Unpacking vivaldi-stable (2.4.1488.38-1) over (2.2.1388.37-1) ...
    Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
    Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
    Processing triggers for bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...
    Rebuilding /usr/share/applications/bamf-2.index...
    Processing triggers for mime-support (3.54ubuntu1.1) ...
    Настраивается пакет vivaldi-stable (2.4.1488.38-1) …
    

    После обновления пакетов на Ubuntu 14.04? все разаботало...
    dpkg (1.17.5ubuntu5.8) over (1.17.5ubuntu5.4) ...
    dpkg-dev (1.17.5ubuntu5.8) over (1.17.5ubuntu5.7) ...


  • Vivaldi Team

    @sichkar Т.е. проблема была не в браузере.



  • @Shpankov В пакете или в типе его сжатия, я уже не разбирался...


  • Vivaldi Team

    @sichkar У других пользователей, у тестеров и у меня такой проблемы не возникало.



  • Ubuntu 14.04? Monsieur знает толк.
    PS. На всякий случай - я ничего не имею против убунты, но 14.04 - это пять лет назад. За это время с линухом произошло много хорошего и полезного.
    PPS. http://kroah.com/log/blog/2018/08/24/what-stable-kernel-should-i-use



  • This post is deleted!


  • Как заставить видео проигрывать, в частности в вк и фейсбуке? В хроме и опере работает, убунта свежая.


  • Vivaldi Translator

    @Sinistral said in Vivaldi для Linux:

    Как заставить видео проигрывать, в частности в вк и фейсбуке? В хроме и опере работает, убунта свежая.

    Попробуйте так https://forum.vivaldi.net/post/51626



  • @kurai уже установлено:( мне бы саблю, да коня, да куданить в е.... короче мне бы знать, где прописать путь к плагину...


Log in to reply
 

Looks like your connection to Vivaldi Forum was lost, please wait while we try to reconnect.